package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.dsk.common.annotation.Excel;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 直接费成本表(CbDirectExpense)实体类
 *
 * @author sxk
 * @since 2024-02-05 14:43:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CbDirectExpense extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -47221883482254959L;
    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 父级ID
     */
    private Long parentId;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 项目文件ID
     */
    private Long projectFileId;
    /**
     * 编码
     */
    @Excel(name = "编码")
    private String code;
    /**
     * 名称
     */
    @Excel(name = "名称")
    private String expenseName;
    /**
     * 清单/费用项分类标识
     */
    @Excel(name = "清单/费用项分类标识")
    private String expenseCategoryTag;
    /**
     * 项目特征
     */
    @Excel(name = "项目特征")
    private String projectFeature;
    /**
     * 单位
     */
    @Excel(name = "单位")
    private String unit;
    /**
     * 工程量表达式
     */
    @Excel(name = "工程量表达式")
    private String engineeringVolumeExpression;
    /**
     * 工程量
     */
    @Excel(name = "工程量")
    private String engineeringVolume;
    /**
     * 成本科目
     */
    @Excel(name = "成本科目")
    private String cbSubject;
    /**
     * 招标控制价单价
     */
    @Excel(name = "招标控制价单价")
    private String tenderControlUnitPrice;
    /**
     * 招标控制价合价
     */
    @Excel(name = "招标控制价合价")
    private String tenderControlSumPrice;
    /**
     * 不含税成本单价
     */
    @Excel(name = "不含税成本单价")
    private String excludeTaxCbUnitPrice;
    /**
     * 不含税成本合价
     */
    @Excel(name = "不含税成本合价")
    private String excludeTaxCbSumPrice;
    /**
     * 成本税金合计
     */
    @Excel(name = "成本税金合计")
    private String cbTaxSum;
    /**
     * 含税成本单价
     */
    @Excel(name = "含税成本单价")
    private String includeTaxCbUnitPrice;
    /**
     * 含税成本合价
     */
    @Excel(name = "含税成本合价")
    private String includeTaxCbSumPrice;
    /**
     * 合价偏差
     */
    @Excel(name = "合价偏差")
    private String sumPriceDeviation;
    /**
     * 盈亏率
     */
    @Excel(name = "盈亏率")
    private String profitLossRatio;
    /**
     * 标准费用项库
     */
    @Excel(name = "标准费用项库")
    private String standardCbItem;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;
    /**
     * 是否为导入数据
     */
    private Boolean isImport;
    /**
     * 删除状态(0:否、2:是)
     */
    @TableLogic(value = "0", delval = "2")
    private Integer delFlag;
}
