package com.dsk.cscec.domain.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.annotation.CheckForNull;
import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CbCostMeasureActualSaveBo {

    /**
     * 主键
     */
    private Long id;

    /**
     * 计划成本措施费id
     */
    @NotNull(message = "计划成本措施费id不能为空")
    private Long planMeasureId;

    /**
     * 本月发生成本比例
     */
    private BigDecimal monthCostRate;

    /**
     * 成本合价
     */
    private BigDecimal costEffective;

    /**
     * 本月工程量
     */
    private BigDecimal projectVolume;

    /**
     * 截止本月工程量
     */
    private BigDecimal currentProjectVolume;

    /**
     * 推送工程量
     */
    private BigDecimal submitProjectVolume;

    /**
     * 年月
     */
    private String month;

    /**
     * 推送时间
     */
    private Date pushTime;

    /**
     * 推送数据json
     */
    private String pushDataJson;

    /**
     * 修改人
     */
    private String updateUser;

    /**
     * 修改人id
     */
    private String updateId;




}